Ignore:
Timestamp:
Apr 1, 2016 6:19:06 PM (4 years ago)
Author:
zzz <zzz@…>
Branches:
master
Children:
d6b1f81
Parents:
a493a28
Message:

Debian:
Add dependency on libjetty8-java and libservlet3.0-java packages
Remove those binaries in debian builds
Prep for dependency on libservlet2.5-java package
Prep for dependency on libtomcat6-java package
Prep for dependency on libtomcat7-java package
Prep for dependency on libjakarta-taglibs-standard-java package
Prep for dependency on libjstl1.1-java package
Add build properties for building with packages
Rework of apps/jetty/build.xml for building with packages
Redefine debian/ as the files for the jessie build
Make debian-alt directories for ubuntu builds
Move debian/changelog to debian-alt/trusty/changelog
Move debian-alt/jessie/changelog to debian/changelog
Add apps/jetty/jettylib/jsp-api.jar to classpath for jsp builds

File:
1 edited

Legend:

Unmodified
Added
Removed
  • debian-alt/README.txt

    ra493a28 re2f048b  
    1 The files in ../debian/ are for launchpad (trusty/utopic/vivid/wily).
     1The files in ../debian/ are for jessie/stable.
    22Alternates are in the subdirectories here.
     3
     4trusty may be copied to utopic and vivid.
     5They do not have libjetty8-java.
     6wily has libjetty8-java.
    37
    48tails-jessie and tails-wheezy are currently the same as
     
    1115# Ubuntu Saucy (and newer)
    1216
    13 Files are extracted from the following
    14 packages on deb.i2p2.no and will need to be updated
    15 for 0.9.25 or later:
    16 
    17 wheezy:
    18 i2p_0.9.23-2~deb7u+1.debian.tar.xz
    19 precise:
    20 i2p_0.9.23-2~precise+1.debian.tar.xz
    21 jessie:
    22 i2p_0.9.24-1~deb8u+1.debian.tar.xz
    23 unstable:
    24 i2p_0.9.24-1.debian.tar.xz
     17Through release 0.9.25, the debian/ directory was not current for the release;
     18any changes required for the build were checked in after the release.
     19Starting with release 0.9.26, we will attempt to test debian builds
     20before the release, and check in any required changes to debian/
     21and debian-alt/ before the release, so that the files
     22may actually be used to build the release.
Note: See TracChangeset for help on using the changeset viewer.